<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Evaluation</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="/scripts/utils.js"></script>
    <script src="./scripts/eval.js"></script>
    <style>
        pre {
            padding: 5px;
            border : 1px solid var(--primary);
        }
        code {
            outline: 0;
        }
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="/">Home</a>
</nav>
<div class="container">
    <div id="exoVar">
        <h1>Exo Variable</h1>
        <p>
            Créer une variable result contenant un string ayant la valeur du nombre 10;
        </p>
        <pre>
            <code contenteditable="true">
var result;
verifResult('exoVar', result);
            </code>
        </pre>
        <button type="button" onclick="validCode('exoVar'); return false;" class="btn btn-success">Eval code</button>
    </div>
    <div id="exoFunction">
        <h1>Exo Function</h1>

        <p>
            Créer une fonction qui permet de multiplier une variable par 10.
            Mettez cette fonction dans la varaible result.
        </p>
        <pre>
            <code contenteditable="true">
// Add Code
var result;
verifResult('exoFunction', result);
            </code>
        </pre>
        <button type="button" onclick="validCode('exoFunction'); return false;" class="btn btn-success">Eval code</button>
    </div>
    <div id="exoTableau">
        <h1>Exo Tableau</h1>

        <p>
            Dans cette exercice faite en sorte d'additionner les valeurs du tableau en faisant une suite logique. <br>
            La valeur du tableau "result" à un index n, doit être égal à la valeur du tableau "values" à l'index n
            additionner à la valeur du tableux "values".<br>
            Soit Rn = Vn + (Vn+1).
        </p>
        <pre>
           <code contenteditable="true">
var values = [1, 2, 3, 4, 5];
var result = values;// Add Code
verifResult('exoTableau', result);
            </code>
        </pre>
        <button type="button" onclick="validCode('exoTableau'); return false;" class="btn btn-success">Eval code</button>
    </div>
</div>
</body>
</html>
